# WARNING - Generated by {fusen} from /dev/flat_study_squirrels.Rmd: do not edit by hand

test_that("study_activity works", {
  expect_true(inherits(study_activity, "function"))
  
  expect_type(study_activity(df_squirrels_act = data_act_squirrels, 
               col_primary_fur_color = "Gray"), "list")
})

test_that("study_activity_dont_work", {
  expect_error(study_activity(df_squirrels_act = "test", 
               col_primary_fur_color = "Gray"), "Les donnees ne contiennent pas la colonne primary_fur_color")
  
  expect_error(study_activity(df_squirrels_act = data_act_squirrels, 
               col_primary_fur_color = 3), "col_primary_fur_color is not a character vector")
})

test_that("save_as_csv works", {
  expect_true(inherits(save_as_csv, "function")) 
})
